/************************************************************************************
*                                                                                   *
*   iniupgrd.sql       SILVERRUN ENTERPRISE BPM/RDM 2.7       Grandite		    *
*   99-06-06           SILVERRUN ENTREPRISE DFD/MRD 2.7       Grandite		    *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Connect under:                              Se connecter sous:                  *
*                                                                                   *
*   sr_admin.                                   sr_admin.                           *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Description:                                Description:                        *
*                                                                                   *
*   Script showing SILVERRUN ENTERPRISE         Script affichant la version de      *
*   RDM version if no user is connected         SILVERRUN ENTREPRISE MRD si aucun   *
*   to the application.                         utilisateur n'y est connecte.       *
*                                                                                   *
************************************************************************************/

USE silverrun_db
go

SELECT "SILVERRUN ENTERPRISE RDM VERSION 2.6 INSTALLED." From zModule 
WHERE 
(zName = 'MMC'
and zVersion = '341')
go

SELECT "0 - SILVERRUN ENTERPRISE RDM UPGRADE TO VERSION 2.7 NOT COMPLETED SUCCESSFULLY." From zModule 
WHERE 
(zName = 'MMC'
and zVersion = '350 341 0')
go

SELECT "1 - SILVERRUN ENTERPRISE RDM UPGRADE TO VERSION 2.7 NOT COMPLETED SUCCESSFULLY. VALIDATION FAILED." From zModule 
WHERE 
(zName = 'MMC'
and zVersion = '350 341 1')
go

SELECT "2 - SILVERRUN ENTERPRISE RDM UPGRADE TO VERSION 2.7 COMPLETED SUCCESSFULLY. BUT ZMODULE NOT UPGRADED." From zModule 
WHERE 
(zName = 'MMC'
and zVersion = '350 341 2')
go

SELECT "SILVERRUN ENTERPRISE RDM VERSION 2.7 INSTALLED." From zModule 
WHERE 
(zName = 'MMC'
and zVersion = '350')
go

SELECT "UNABLE TO EXTRACT SILVERRUN ENTERPRISE RDM VERSION NO. PLEASE CONTACT TECHNICAL SUPPORT." From zModule 
WHERE 
(zName = 'MMC'
and zVersion not IN ('341', '350 341 0','350 341 1','350 341 2','350'))
go

SELECT COUNT(zUserId)," USER(S) CURRENTLY CONNECTED TO THE REPOSITORY."
FROM zConnect
where 0 < (SELECT COUNT(*) FROM zConnect)
go

SELECT 'NO USER SHOULD BE CONNECTED TO THE REPOSITORY BEFORE GOING TO STEP 2.            ' " "
FROM zConnect
WHERE 0 < (SELECT COUNT(*) FROM zConnect)
go

SELECT zUserId "USING THE REPOSITORY NOW :" 
FROM zConnect
go

SELECT 'YOU CAN NOW GO TO STEP 2.                                                        ' " "
FROM zModule
WHERE 0 = (SELECT COUNT(*) FROM zConnect)
	AND zName = 'MMC'
go

