/************************************************************************************
*                                                                                   *
*   init_s.sql         SILVERRUN ENTERPRISE BPM/RDM 2.8/2.9   Grandite              *
*                      SILVERRUN ENTREPRISE DFD/MRD 2.8/2.9   Grandite              *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Log in as:                                  Se connecter sous:                  *
*                                                                                   *
*   User with System Administrator role.        Utilisateur ayant les privileges    *
*                                               d'un "System Administrator".        *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Description:                                Description:                        *
*                                                                                   *
*   Installation:                               Installation :                      *
*   Script creating:                            Script creant:                      *
*   - two files (data and log)                  - deux fichiers (donnees et log)    *
*   - one SILVERRUN responsible user.        	- un utilisateur responsable de     *
*                                                 SILVERRUN.                        *
*                                                                                   *
*                                                                                   *
*   YOU MUST MODIFY THIS SCRIPT BEFORE          VOUS DEVEZ MODIFIER CE SCRIPT AVANT *
*   ITS FIRST RUN:                              SA PREMIERE EXECUTION :             *
*                                                                                   *
*   Replace the words:                          Remplacez les mots :                *
*   <physical data file name> and               <physical data file name> et        *
*   <physical log file name> according          <physical log file name> selon      *
*   to your platform and storage choices.       votre plate-forme et vos choix de   *
*                                               stockage.                           *
*                                                                                   *
*   The values of the sizes may be changed.     Les valeurs des volumes peuvent     *
*                                               etre modifiees.                     *
*                                                                                   *
************************************************************************************/

USE master
GO

CREATE DATABASE silverrun_db 
ON
( NAME = dev_sr_repository_primary,
  FILENAME = '<physical data file name>',
  SIZE = 20MB,
  MAXSIZE = UNLIMITED,
  FILEGROWTH = 50%)
LOG ON 
( NAME = dev_sr_repository_log,
  FILENAME = '<physical log file name>',
  SIZE = 30MB,
  MAXSIZE = UNLIMITED,
  FILEGROWTH = 50%)
GO

USE silverrun_db
GO

sp_addlogin 'sr_admin', 'sr_admin', 'silverrun_db'
GO

sp_changedbowner 'sr_admin'
GO

ALTER DATABASE silverrun_db SET RECOVERY SIMPLE
GO
