/************************************************************************************
*                                                                                   *
*   iniupgrd.sql       SILVERRUN ENTERPRISE BPM/RDM 2.8     Grandite		    *
*   27-06-2003         SILVERRUN ENTREPRISE DFD/MRD 2.8     Grandite		    *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Connect under:                              Se connecter sous:                  *
*                                                                                   *
*   sr_admin.                                   sr_admin.                           *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Description:                                Description:                        *
*                                                                                   *
*   Script showing SILVERRUN ENTERPRISE         Script affichant la version de      *
*   RDM version if no user is connected         SILVERRUN ENTREPRISE MRD si aucun   *
*   to the application.                         utilisateur n'y est connecte.       *
*                                                                                   *
************************************************************************************/

USE silverrun_db
go

SELECT 'SILVERRUN ENTERPRISE RDM VERSION 2.7.6 INSTALLED.' From zModule 
WHERE 
(zName = 'MMC'
and zVersion = '360')
go

SELECT '0 - SILVERRUN ENTERPRISE RDM UPGRADE TO VERSION 2.8.0 NOT COMPLETED SUCCESSFULLY.' From zModule 
WHERE 
(zName = 'MMC'
and zVersion = '370 360 0')
go

SELECT '1 - SILVERRUN ENTERPRISE RDM UPGRADE TO VERSION 2.8.0 NOT COMPLETED SUCCESSFULLY. VALIDATION FAILED.' From zModule 
WHERE 
(zName = 'MMC'
and zVersion = '370 360 1')
go

SELECT '2 - SILVERRUN ENTERPRISE RDM UPGRADE TO VERSION 2.8.0 COMPLETED SUCCESSFULLY. BUT ZMODULE NOT UPGRADED.' From zModule 
WHERE 
(zName = 'MMC'
and zVersion = '370 360 2')
go

SELECT 'SILVERRUN ENTERPRISE RDM VERSION 2.8.0 INSTALLED.' From zModule 
WHERE 
(zName = 'MMC'
and zVersion = '370')
go

SELECT 'UNABLE TO EXTRACT SILVERRUN ENTERPRISE RDM VERSION NO. PLEASE CONTACT TECHNICAL SUPPORT.' From zModule 
WHERE 
(zName = 'MMC'
and zVersion not IN ('360', '370 360 0','370 360 1','370 360 2','370'))
go

SELECT COUNT(zUserId),' USER(S) CURRENTLY CONNECTED TO THE REPOSITORY.'
FROM zConnect
where 0 < (SELECT COUNT(*) FROM zConnect)
go

SELECT 'NO USER SHOULD BE CONNECTED TO THE REPOSITORY BEFORE GOING TO STEP 2.            ' 
FROM zConnect
WHERE 0 < (SELECT COUNT(*) FROM zConnect)
go

SELECT zUserId "USING THE REPOSITORY NOW :" 
FROM zConnect
go

SELECT 'YOU CAN NOW GO TO STEP 2.                                                        ' 
FROM zModule
WHERE 0 = (SELECT COUNT(*) FROM zConnect)
	AND zName = 'MMC'
go

