/************************************************************************************
*                                                                                   *
*   drpindex.sql       SILVERRUN ENTERPRISE BPM/RDM 2.8/2.9   Grandite              *
*                      SILVERRUN ENTREPRISE DFD/MRD 2.8/2.9   Grandite              *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Log in as:                                  Se connecter sous:                  *
*                                                                                   *
*   sr_admin.                                   sr_admin.                           *
*                                                                                   *
*************************************************************************************
*                                                                                   *
*   Description:                                Description:                        *
*                                                                                   *
*   Script dropping all SILVERRUN indexes       Script supprimant tous les index    *
*   except those on zModule.                    SILVERRUN sauf ceux de zModule.     *
*                                                                                   *
************************************************************************************/


use silverrun_db
go

/* TABLE zModule */
/* Index on zModule will not be dropped,
** because it may be used by other SILVERRUN Applications.*/
/* DROP INDEX izModuleP */
/* go */


/* TABLE dCell */
DROP INDEX idCellL ON dCell
go
DROP INDEX i043121 ON dCell
go
DROP INDEX i043119 ON dCell
go


/* TABLE dCpnProc */
DROP INDEX idCpnProcL ON dCpnProc
go
DROP INDEX i043006 ON dCpnProc
go
DROP INDEX i043005 ON dCpnProc
go
DROP INDEX i043007 ON dCpnProc
go
DROP INDEX i043011 ON dCpnProc
go


/* TABLE dCpnStor */
DROP INDEX idCpnStorL
go
DROP INDEX i042913 ON dCpnStor
go
DROP INDEX i042915 ON dCpnStor
go
DROP INDEX i042909 ON dCpnStor
go
DROP INDEX i042917 ON dCpnStor
go


/* TABLE dDiag */
DROP INDEX idDiagL ON dDiag
go
DROP INDEX i045040 ON dDiag
go


/* TABLE dDispDes */
DROP INDEX idDispDesL ON dDispDes
go
DROP INDEX i040511 ON dDispDes
go
DROP INDEX i040509 ON dDispDes
go
DROP INDEX i040506 ON dDispDes
go


/* TABLE dExEnGR */
DROP INDEX idExEnGRL
go
DROP INDEX i042006 ON dExEnGR
go
DROP INDEX i042004 ON dExEnGR
go
DROP INDEX i042022 ON dExEnGR
go


/* TABLE dExEnPrs */
DROP INDEX idExEnPrsL ON dExEnPrs
go
DROP INDEX i041302 ON dExEnPrs
go
DROP INDEX i041305 ON dExEnPrs
go
DROP INDEX i041309 ON dExEnPrs
go


/* TABLE dExtEnt */
DROP INDEX idExtEntL ON dExtEnt
go
DROP INDEX i040720 ON dExtEnt
go


/* TABLE dFigure */
DROP INDEX idFigureL ON dFigure
go
DROP INDEX i046207 ON dFigure
go


/* TABLE dFigurGR */
DROP INDEX idFigurGRL ON dFigurGR
go
DROP INDEX i046308 ON dFigurGR
go


/* TABLE dFlow */
DROP INDEX idFlowL ON dFlow
go
DROP INDEX i040820 ON dFlow
go
DROP INDEX i040823 ON dFlow
go
DROP INDEX i040812 ON dFlow
go
DROP INDEX i040837 ON dFlow
go
DROP INDEX i040843 ON dFlow
go
DROP INDEX i040841 ON dFlow
go


/* TABLE dFlowGR */
DROP INDEX idFlowGRL ON dFlowGR
go
DROP INDEX i042123 ON dFlowGR
go
DROP INDEX i042112 ON dFlowGR
go
DROP INDEX i042115 ON dFlowGR
go


/* TABLE dFont */
DROP INDEX idFontL ON dFont
go
DROP INDEX i045108 ON dFont
go
DROP INDEX i045112 ON dFont
go


/* TABLE dFText */
DROP INDEX idFTextL ON dFText
go
DROP INDEX i045711 ON dFText
go


/* TABLE dFTextGR */
DROP INDEX idFTextGRL ON dFTextGR
go
DROP INDEX i045508 ON dFTextGR
go


/* TABLE dGrapRep */
DROP INDEX idGrapRepL ON dGrapRep
go
DROP INDEX i045315 ON dGrapRep
go
DROP INDEX i045331 ON dGrapRep
go


/* TABLE dLabelGR */
DROP INDEX idLabelGRL ON dLabelGR
go
DROP INDEX i042314 ON dLabelGR
go
DROP INDEX i042302 ON dLabelGR
go
DROP INDEX i042306 ON dLabelGR
go


/* TABLE dLine */
DROP INDEX idLineL ON dLine
go
DROP INDEX i046007 ON dLine
go


/* TABLE dLineGR */
DROP INDEX idLineGRL ON dLineGR
go
DROP INDEX i046109 ON dLineGR
go


/* TABLE dLinkGR */
DROP INDEX idLinkGRL ON dLinkGR
go
DROP INDEX i046810 ON dLinkGR
go
DROP INDEX i046804 ON dLinkGR
go
DROP INDEX i046812 ON dLinkGR
go


/* TABLE dNode */
DROP INDEX idNodeL ON dNode
go
DROP INDEX i046708 ON dNode
go
DROP INDEX i046712 ON dNode
go


/* TABLE dPictGR */
DROP INDEX idPictGRL ON dPictGR
go
DROP INDEX i046414 ON dPictGR
go


/* TABLE dPicture */
DROP INDEX idPictureL ON dPicture
go
DROP INDEX i046507 ON dPicture
go


/* TABLE dProcess */
DROP INDEX idProcessL ON dProcess
go
DROP INDEX i041615 ON dProcess
go
DROP INDEX i041638 ON dProcess
go
DROP INDEX i041650 ON dProcess
go


/* TABLE dProcFrm */
DROP INDEX idProcFrmL ON dProcFrm
go
DROP INDEX i042202 ON dProcFrm
go
DROP INDEX i042212 ON dProcFrm
go


/* TABLE dProcGR */
DROP INDEX idProcGRL ON dProcGR
go
DROP INDEX i042504 ON dProcGR
go
DROP INDEX i042506 ON dProcGR
go
DROP INDEX i042522 ON dProcGR
go


/* TABLE dProcPrs */
DROP INDEX idProcPrsL ON dProcPrs
go
DROP INDEX i041503 ON dProcPrs
go
DROP INDEX i041505 ON dProcPrs
go
DROP INDEX i041509 ON dProcPrs
go


/* TABLE dQualGR */
DROP INDEX idQualGRL ON dQualGR
go
DROP INDEX i042413 ON dQualGR
go
DROP INDEX i042407 ON dQualGR
go


/* TABLE dQualif */
DROP INDEX idQualifL ON dQualif
go
DROP INDEX i040014 ON dQualif
go


/* TABLE dQulExEn */
DROP INDEX idQulExEnL ON dQulExEn
go
DROP INDEX i040208 ON dQulExEn
go
DROP INDEX i040206 ON dQulExEn
go
DROP INDEX i040212 ON dQulExEn
go


/* TABLE dQulFlow */
DROP INDEX idQulFlowL ON dQulFlow
go
DROP INDEX i040308 ON dQulFlow
go
DROP INDEX i040306 ON dQulFlow
go
DROP INDEX i040312 ON dQulFlow
go


/* TABLE dQulProc */
DROP INDEX idQulProcL ON dQulProc
go
DROP INDEX i040408 ON dQulProc
go
DROP INDEX i040406 ON dQulProc
go
DROP INDEX i040412 ON dQulProc
go


/* TABLE dQulSto */
DROP INDEX idQulStoL ON dQulSto
go
DROP INDEX i040108 ON dQulSto
go
DROP INDEX i040106 ON dQulSto
go
DROP INDEX i040112 ON dQulSto
go


/* TABLE dResourc */
DROP INDEX idResourcL ON dResourc
go
DROP INDEX i041714 ON dResourc
go


/* TABLE dResProc */
DROP INDEX idResProcL ON dResProc
go
DROP INDEX i041804 ON dResProc
go
DROP INDEX i041811 ON dResProc
go
DROP INDEX i041806 ON dResProc
go


/* TABLE dStamp */
DROP INDEX idStampL ON dStamp
go
DROP INDEX i045806 ON dStamp
go


/* TABLE dStampGR */
DROP INDEX idStampGRL ON dStampGR
go
DROP INDEX i045608 ON dStampGR
go


/* TABLE dStore */
DROP INDEX idStoreL ON dStore
go
DROP INDEX i040630 ON dStore
go
DROP INDEX i040628 ON dStore
go


/* TABLE dStoreGR */
DROP INDEX idStoreGRL ON dStoreGR
go
DROP INDEX i041906 ON dStoreGR
go
DROP INDEX i041904 ON dStoreGR
go
DROP INDEX i041922 ON dStoreGR
go


/* TABLE dStorPrs */
DROP INDEX idStorPrsL ON dStorPrs
go
DROP INDEX i041202 ON dStorPrs
go
DROP INDEX i041205 ON dStorPrs
go
DROP INDEX i041209 ON dStorPrs
go


/* TABLE dZone */
DROP INDEX idZoneL ON dZone
go
DROP INDEX i042815 ON dZone
go


/* TABLE rActCat */
DROP INDEX irActCatL ON rActCat
go
DROP INDEX i024309 ON rActCat
go


/* TABLE rAction */
DROP INDEX irActionL ON rAction
go
DROP INDEX i020018 ON rAction
go
DROP INDEX i020040 ON rAction
go
DROP INDEX i020052 ON rAction
go
DROP INDEX i020020 ON rAction
go
DROP INDEX i020019 ON rAction
go


/* TABLE rAttrSet */
DROP INDEX irAttrSetL ON rAttrSet
go
DROP INDEX i029725 ON rAttrSet
go
DROP INDEX i029722 ON rAttrSet
go


/* TABLE rBlkCfg */
DROP INDEX irBlkCfgL ON rBlkCfg
go
DROP INDEX i026222 ON rBlkCfg
go
DROP INDEX i026218 ON rBlkCfg
go


/* TABLE rChoice */
DROP INDEX irChoiceL ON rChoice
go
DROP INDEX i020218 ON rChoice
go
DROP INDEX i020222 ON rChoice
go
DROP INDEX i020221 ON rChoice
go


/* TABLE rChoiceG */
DROP INDEX irChoiceGL ON rChoiceG
go
DROP INDEX i021808 ON rChoiceG
go
DROP INDEX i021813 ON rChoiceG
go


/* TABLE rChoiLnG */
DROP INDEX irChoiLnGL ON rChoiLnG
go
DROP INDEX i023702 ON rChoiLnG
go
DROP INDEX i023706 ON rChoiLnG
go


/* TABLE rColAct */
DROP INDEX irColActL ON rColAct
go
DROP INDEX i024407 ON rColAct
go
DROP INDEX i024409 ON rColAct
go
DROP INDEX i024411 ON rColAct
go


/* TABLE rColumn */
DROP INDEX irColumnL ON rColumn
go
DROP INDEX i020478 ON rColumn
go
DROP INDEX i020432 ON rColumn
go
DROP INDEX i131545 ON rColumn
go
DROP INDEX i020426 ON rColumn
go
DROP INDEX i020434 ON rColumn
go
DROP INDEX i020458 ON rColumn
go
DROP INDEX i020433 ON rColumn
go
DROP INDEX i131569 ON rColumn
go
DROP INDEX i131726 ON rColumn
go
DROP INDEX i131799 ON rColumn
go
DROP INDEX i020427 ON rColumn
go


/* TABLE rColVal */
DROP INDEX irColValL ON rColVal
go
DROP INDEX i029506 ON rColVal
go
DROP INDEX i029511 ON rColVal
go


/* TABLE rCombCol */
DROP INDEX irCombColL ON rCombCol
go
DROP INDEX i020616 ON rCombCol
go
DROP INDEX i020641 ON rCombCol
go
DROP INDEX i020627 ON rCombCol
go
DROP INDEX i020617 ON rCombCol
go
DROP INDEX i020638 ON rCombCol
go
DROP INDEX i020630 ON rCombCol
go


/* TABLE rCombDir */
DROP INDEX irCombDirL ON rCombDir
go
DROP INDEX i020710 ON rCombDir
go
DROP INDEX i020712 ON rCombDir
go
DROP INDEX i020717 ON rCombDir
go


/* TABLE rCombin */
DROP INDEX irCombinL ON rCombin
go
DROP INDEX i020535 ON rCombin
go
DROP INDEX i020536 ON rCombin
go
DROP INDEX i020537 ON rCombin
go
DROP INDEX i020538 ON rCombin
go
DROP INDEX i020525 ON rCombin
go


/* TABLE rCompTbl */
DROP INDEX irCompTblL ON rCompTbl
go
DROP INDEX i023605 ON rCompTbl
go
DROP INDEX i023607 ON rCompTbl
go
DROP INDEX i023609 ON rCompTbl
go
DROP INDEX i023611 ON rCompTbl
go


/* TABLE rConcAcc */
DROP INDEX irConcAccL ON rConcAcc
go
DROP INDEX i024606 ON rConcAcc
go
DROP INDEX i024608 ON rConcAcc
go


/* TABLE rConnect */
DROP INDEX irConnectL ON rConnect
go
DROP INDEX i020825 ON rConnect
go


/* TABLE rConnG */
DROP INDEX irConnGL ON rConnG
go
DROP INDEX i022008 ON rConnG
go
DROP INDEX i022012 ON rConnG
go
DROP INDEX i022019 ON rConnG
go
DROP INDEX i022016 ON rConnG
go


/* TABLE rConnvG */
DROP INDEX irConnvGL ON rConnvG
go
DROP INDEX i022806 ON rConnvG
go
DROP INDEX i022808 ON rConnvG
go
DROP INDEX i022812 ON rConnvG
go


/* TABLE rConstr */
DROP INDEX irConstrL ON rConstr
go
DROP INDEX i020151 ON rConstr
go
DROP INDEX i020117 ON rConstr
go
DROP INDEX i131558 ON rConstr
go
DROP INDEX i020119 ON rConstr
go
DROP INDEX i020118 ON rConstr
go


/* TABLE rContent */
DROP INDEX irContentL ON rContent
go
DROP INDEX i024714 ON rContent
go


/* TABLE rDatabas */
DROP INDEX irDatabasL ON rDatabas
go
DROP INDEX i026936 ON rDatabas
go


/* TABLE rDescAcc */
DROP INDEX irDescAccL ON rDescAcc
go
DROP INDEX i023805 ON rDescAcc
go
DROP INDEX i023807 ON rDescAcc
go


/* TABLE rDiagram */
DROP INDEX irDiagramL ON rDiagram
go
DROP INDEX i021045 ON rDiagram
go


/* TABLE rDim */
DROP INDEX irDimL ON rDim
go
DROP INDEX i039604 ON rDim
go
DROP INDEX i039606 ON rDim
go
DROP INDEX i039602 ON rDim
go
DROP INDEX i039609 ON rDim
go


/* TABLE rDirect */
DROP INDEX irDirectL ON rDirect
go
DROP INDEX i021174 ON rDirect
go
DROP INDEX i021139 ON rDirect
go
DROP INDEX i021159 ON rDirect
go
DROP INDEX i021165 ON rDirect
go
DROP INDEX i021143 ON rDirect
go
DROP INDEX i021144 ON rDirect
go


/* TABLE rErrMsg */
DROP INDEX irErrMsgL ON rErrMsg
go
DROP INDEX i131645 ON rErrMsg
go
DROP INDEX i131566 ON rErrMsg
go


/* TABLE rFigure */
DROP INDEX irFigureL ON rFigure
go
DROP INDEX i023206 ON rFigure
go


/* TABLE rFigureG */
DROP INDEX irFigureGL ON rFigureG
go
DROP INDEX i023003 ON rFigureG
go


/* TABLE rFile */
DROP INDEX irFileL ON rFile
go
DROP INDEX i026614 ON rFile
go
DROP INDEX i026628 ON rFile
go
DROP INDEX i026623 ON rFile
go
DROP INDEX i026618 ON rFile
go
DROP INDEX i131942 ON rFile
go


/* TABLE rFilSgrp */
DROP INDEX irFilSgrpL ON rFilSgrp
go
DROP INDEX i029802 ON rFilSgrp
go
DROP INDEX i029806 ON rFilSgrp
go
DROP INDEX i029804 ON rFilSgrp
go


/* TABLE rFilTbsp */
DROP INDEX irFilTbspL ON rFilTbsp
go
DROP INDEX i027204 ON rFilTbsp
go
DROP INDEX i027206 ON rFilTbsp
go
DROP INDEX i027202 ON rFilTbsp
go


/* TABLE rFont */
DROP INDEX irFontL ON rFont
go
DROP INDEX i021410 ON rFont
go
DROP INDEX i021411 ON rFont
go


/* TABLE rGraphic */
DROP INDEX irGraphicL ON rGraphic
go
DROP INDEX i021718 ON rGraphic
go
DROP INDEX i021720 ON rGraphic
go


/* TABLE rIBICol */
DROP INDEX irIBIColL ON rIBICol
go
DROP INDEX i131547 ON rIBICol
go
DROP INDEX i131548 ON rIBICol
go
DROP INDEX i131549 ON rIBICol
go
DROP INDEX i131552 ON rIBICol
go
DROP INDEX i131555 ON rIBICol
go
DROP INDEX i131559 ON rIBICol
go


/* TABLE rIBIDir */
DROP INDEX irIBIDirL ON rIBIDir
go
DROP INDEX i131563 ON rIBIDir
go


/* TABLE rIBILink */
DROP INDEX irIBILinkL ON rIBILink
go
DROP INDEX i039906 ON rIBILink
go
DROP INDEX i039902 ON rIBILink
go
DROP INDEX i039904 ON rIBILink
go


/* TABLE rIBILoc */
DROP INDEX irIBILocL ON rIBILoc
go
DROP INDEX i131561 ON rIBILoc
go


/* TABLE rIBIMFD */
DROP INDEX irIBIMFDL ON rIBIMFD
go
DROP INDEX i131562 ON rIBIMFD
go


/* TABLE rIBISec */
DROP INDEX irIBISecL ON rIBISec
go
DROP INDEX i039803 ON rIBISec
go
DROP INDEX i039806 ON rIBISec
go
DROP INDEX i039808 ON rIBISec
go


/* TABLE rIBITab */
DROP INDEX irIBITabL ON rIBITab
go
DROP INDEX i131551 ON rIBITab
go
DROP INDEX i131553 ON rIBITab
go
DROP INDEX i131560 ON rIBITab
go


/* TABLE rIndex */
DROP INDEX irIndexL ON rIndex
go
DROP INDEX i021562 ON rIndex
go
DROP INDEX i021516 ON rIndex
go
DROP INDEX i021564 ON rIndex
go
DROP INDEX i021537 ON rIndex
go
DROP INDEX i131746 ON rIndex
go


/* TABLE rIndTbsp */
DROP INDEX irIndTbspL ON rIndTbsp
go
DROP INDEX i027104 ON rIndTbsp
go
DROP INDEX i027106 ON rIndTbsp
go
DROP INDEX i027102 ON rIndTbsp
go


/* TABLE rLabelG */
DROP INDEX irLabelGL ON rLabelG
go
DROP INDEX i021906 ON rLabelG
go
DROP INDEX i021908 ON rLabelG
go
DROP INDEX i021912 ON rLabelG
go


/* TABLE rLine */
DROP INDEX irLineL ON rLine
go
DROP INDEX i023307 ON rLine
go


/* TABLE rLineG */
DROP INDEX irLineGL ON rLineG
go
DROP INDEX i023103 ON rLineG
go


/* TABLE rMDIndex */
DROP INDEX irMDIndexL ON rMDIndex
go
DROP INDEX i039707 ON rMDIndex
go
DROP INDEX i039702 ON rMDIndex
go


/* TABLE rPart */
DROP INDEX irPartL ON rPart
go
DROP INDEX i026822 ON rPart
go
DROP INDEX i026818 ON rPart
go
DROP INDEX i026833 ON rPart
go
DROP INDEX i026824 ON rPart
go
DROP INDEX i026811 ON rPart
go
DROP INDEX i026820 ON rPart
go
DROP INDEX i131796 ON rPart
go
DROP INDEX i026814 ON rPart
go
DROP INDEX i131814 ON rPart
go


/* TABLE rPictG */
DROP INDEX irPictGL ON rPictG
go
DROP INDEX i022108 ON rPictG
go


/* TABLE rPicture */
DROP INDEX irPictureL ON rPicture
go
DROP INDEX i021612 ON rPicture
go


/* TABLE rProc */
DROP INDEX irProcL ON rProc
go
DROP INDEX i024832 ON rProc
go
DROP INDEX i024809 ON rProc
go
DROP INDEX i131743 ON rProc
go


/* TABLE rRelCol */
DROP INDEX irRelColL ON rRelCol
go
DROP INDEX i029408 ON rRelCol
go
DROP INDEX i029406 ON rRelCol
go
DROP INDEX i029404 ON rRelCol
go
DROP INDEX i029410 ON rRelCol
go


/* TABLE rRollSeg */
DROP INDEX irRollSegL ON rRollSeg
go
DROP INDEX i026322 ON rRollSeg
go
DROP INDEX i026326 ON rRollSeg
go
DROP INDEX i026309 ON rRollSeg
go
DROP INDEX i026307 ON rRollSeg
go


/* TABLE rSDColn */
DROP INDEX irSDColnL ON rSDColn
go
DROP INDEX i131685 ON rSDColn
go
DROP INDEX i131691 ON rSDColn
go


/* TABLE rSDFld */
DROP INDEX irSDFldL ON rSDFld
go
DROP INDEX i131694 ON rSDFld
go
DROP INDEX i131688 ON rSDFld
go


/* TABLE rSDFldVl */
DROP INDEX irSDFldVlL ON rSDFldVl
go
DROP INDEX i131697 ON rSDFldVl
go
DROP INDEX i131682 ON rSDFldVl
go


/* TABLE rSeq */
DROP INDEX irSeqL ON rSeq
go
DROP INDEX i038515 ON rSeq
go
DROP INDEX i038512 ON rSeq
go
DROP INDEX i131749 ON rSeq
go


/* TABLE rSpecSym */
DROP INDEX irSpecSymL ON rSpecSym
go
DROP INDEX i024505 ON rSpecSym
go


/* TABLE rStamp */
DROP INDEX irStampL ON rStamp
go
DROP INDEX i022706 ON rStamp
go


/* TABLE rStampG */
DROP INDEX irStampGL ON rStampG
go
DROP INDEX i022408 ON rStampG
go


/* TABLE rStoCfg */
DROP INDEX irStoCfgL ON rStoCfg
go
DROP INDEX i026531 ON rStoCfg
go
DROP INDEX i026539 ON rStoCfg
go


/* TABLE rStogrp */
DROP INDEX irStogrpL ON rStogrp
go
DROP INDEX i131929 ON rStogrp
go
DROP INDEX i026713 ON rStogrp
go
DROP INDEX i026717 ON rStogrp
go


/* TABLE rSubZone */
DROP INDEX irSubZoneL ON rSubZone
go
DROP INDEX i024120 ON rSubZone
go
DROP INDEX i024123 ON rSubZone
go


/* TABLE rSvwCol */
DROP INDEX irSvwColL ON rSvwCol
go
DROP INDEX i029117 ON rSvwCol
go


/* TABLE rSvwFmt */
DROP INDEX irSvwFmtL ON rSvwFmt
go
DROP INDEX i029216 ON rSvwFmt
go
DROP INDEX i029218 ON rSvwFmt
go
DROP INDEX i029238 ON rSvwFmt
go


/* TABLE rTable */
DROP INDEX irTableL ON rTable
go
DROP INDEX i022592 ON rTable
go
DROP INDEX i022582 ON rTable
go
DROP INDEX i022580 ON rTable
go
DROP INDEX i022540 ON rTable
go
DROP INDEX i131926 ON rTable
go
DROP INDEX i131904 ON rTable
go
DROP INDEX i022561 ON rTable
go
DROP INDEX i022538 ON rTable
go
DROP INDEX i131740 ON rTable
go


/* TABLE rTableG */
DROP INDEX irTableGL ON rTableG
go
DROP INDEX i022211 ON rTableG
go
DROP INDEX i022218 ON rTableG
go
DROP INDEX i022210 ON rTableG
go


/* TABLE rTabspc */
DROP INDEX irTabspcL ON rTabspc
go
DROP INDEX i026028 ON rTabspc
go
DROP INDEX i026046 ON rTabspc
go
DROP INDEX i026026 ON rTabspc
go
DROP INDEX i026021 ON rTabspc
go
DROP INDEX i026050 ON rTabspc
go


/* TABLE rTabTbsp */
DROP INDEX irTabTbspL ON rTabTbsp
go
DROP INDEX i027006 ON rTabTbsp
go
DROP INDEX i027004 ON rTabTbsp
go
DROP INDEX i027002 ON rTabTbsp
go


/* TABLE rText */
DROP INDEX irTextL ON rText
go
DROP INDEX i022616 ON rText
go


/* TABLE rTextG */
DROP INDEX irTextGL ON rTextG
go
DROP INDEX i022308 ON rTextG
go


/* TABLE rZone */
DROP INDEX irZoneL ON rZone
go
DROP INDEX i024211 ON rZone
go
DROP INDEX i024213 ON rZone
go


/* TABLE tImage */
DROP INDEX itImageL ON tImage
go


/* TABLE tItgParm */
DROP INDEX itItgParmL ON tItgParm
go


/* TABLE tLongTxt */
DROP INDEX itLongTxtL ON tLongTxt
go


/* TABLE tPrtParm */
DROP INDEX itPrtParmL ON tPrtParm
go


/* TABLE wBasType */
DROP INDEX iwBasTypeL ON wBasType
go
DROP INDEX i000508 ON wBasType
go
DROP INDEX i000535 ON wBasType
go


/* TABLE wCharact */
DROP INDEX iwCharactL ON wCharact
go
DROP INDEX i002911 ON wCharact
go
DROP INDEX i002913 ON wCharact
go
DROP INDEX i002915 ON wCharact
go
DROP INDEX i002917 ON wCharact
go


/* TABLE wComItem */
DROP INDEX iwComItemL ON wComItem
go
DROP INDEX i000210 ON wComItem
go
DROP INDEX i000213 ON wComItem
go


/* TABLE wCompCat */
DROP INDEX iwCompCatL ON wCompCat
go
DROP INDEX i002033 ON wCompCat
go


/* TABLE wCompon */
DROP INDEX iwComponL ON wCompon
go
DROP INDEX i002444 ON wCompon
go
DROP INDEX i002440 ON wCompon
go
DROP INDEX i002432 ON wCompon
go
DROP INDEX i002447 ON wCompon
go


/* TABLE wCompPrs */
DROP INDEX iwCompPrsL ON wCompPrs
go
DROP INDEX i002604 ON wCompPrs
go
DROP INDEX i002606 ON wCompPrs
go
DROP INDEX i002602 ON wCompPrs
go


/* TABLE wCorrCat */
DROP INDEX iwCorrCatL ON wCorrCat
go
DROP INDEX i001930 ON wCorrCat
go


/* TABLE wCorresp */
DROP INDEX iwCorrespL ON wCorresp
go
DROP INDEX i001838 ON wCorresp
go
DROP INDEX i001830 ON wCorresp
go
DROP INDEX i001832 ON wCorresp
go
DROP INDEX i001835 ON wCorresp
go


/* TABLE wDefault */
DROP INDEX iwDefaultL ON wDefault
go
DROP INDEX i131711 ON wDefault
go


/* TABLE wDomain */
DROP INDEX iwDomainL ON wDomain
go
DROP INDEX i028418 ON wDomain
go
DROP INDEX i028403 ON wDomain
go
DROP INDEX i000422 ON wDomain
go
DROP INDEX i028416 ON wDomain
go
DROP INDEX i028405 ON wDomain
go
DROP INDEX i000420 ON wDomain
go


/* TABLE wDomPrs */
DROP INDEX iwDomPrsL ON wDomPrs
go
DROP INDEX i002654 ON wDomPrs
go
DROP INDEX i002656 ON wDomPrs
go
DROP INDEX i002652 ON wDomPrs
go


/* TABLE wDomVal */
DROP INDEX iwDomValL ON wDomVal
go
DROP INDEX i000707 ON wDomVal
go
DROP INDEX i000705 ON wDomVal
go


/* TABLE wExtStru */
DROP INDEX iwExtStruL ON wExtStru
go
DROP INDEX i003420 ON wExtStru
go


/* TABLE wItemPrs */
DROP INDEX iwItemPrsL ON wItemPrs
go
DROP INDEX i002504 ON wItemPrs
go
DROP INDEX i002506 ON wItemPrs
go
DROP INDEX i002502 ON wItemPrs
go


/* TABLE wNSRRep */
DROP INDEX iwNSRRepL ON wNSRRep
go
DROP INDEX i002230 ON wNSRRep
go


/* TABLE wProject */
DROP INDEX iwProjectL ON wProject
go


/* TABLE wRepPrs */
DROP INDEX iwRepPrsL ON wRepPrs
go
DROP INDEX i003305 ON wRepPrs
go
DROP INDEX i003309 ON wRepPrs
go
DROP INDEX i003307 ON wRepPrs
go


/* TABLE wRepres */
DROP INDEX iwRepresL ON wRepres
go
DROP INDEX i002132 ON wRepres
go


/* TABLE wRule */
DROP INDEX iwRuleL ON wRule
go
DROP INDEX i131714 ON wRule
go


/* TABLE wSRRep */
DROP INDEX iwSRRepL ON wSRRep
go
DROP INDEX i022981 ON wSRRep
go
DROP INDEX i001116 ON wSRRep
go
DROP INDEX i022946 ON wSRRep
go
DROP INDEX i022986 ON wSRRep
go


/* TABLE wStruct */
DROP INDEX iwStructL ON wStruct
go
DROP INDEX i001608 ON wStruct
go


/* TABLE wStruNod */
DROP INDEX iwStruNodL ON wStruNod
go
DROP INDEX i001304 ON wStruNod
go


/* TABLE wStruPrs */
DROP INDEX iwStruPrsL ON wStruPrs
go
DROP INDEX i002706 ON wStruPrs
go
DROP INDEX i002702 ON wStruPrs
go
DROP INDEX i002704 ON wStruPrs
go


/* TABLE wSubStru */
DROP INDEX iwSubStruL ON wSubStru
go
DROP INDEX i001538 ON wSubStru
go
DROP INDEX i001513 ON wSubStru
go
DROP INDEX i001515 ON wSubStru
go
DROP INDEX i001518 ON wSubStru
go
DROP INDEX i001520 ON wSubStru
go


/* TABLE wTargSys */
DROP INDEX iwTargSysL ON wTargSys
go
DROP INDEX i001007 ON wTargSys
go


/* TABLE wTypePrs */
DROP INDEX iwTypePrsL ON wTypePrs
go
DROP INDEX i002802 ON wTypePrs
go
DROP INDEX i002804 ON wTypePrs
go
DROP INDEX i002806 ON wTypePrs
go


/* TABLE wUFldVal */
DROP INDEX iwUFldValL ON wUFldVal
go
DROP INDEX i003108 ON wUFldVal
go
DROP INDEX i003103 ON wUFldVal
go
DROP INDEX i003105 ON wUFldVal
go


/* TABLE wUser */
DROP INDEX iwUserL ON wUser
go
DROP INDEX i131717 ON wUser
go


/* TABLE wUserFld */
DROP INDEX iwUserFldL ON wUserFld
go
DROP INDEX i003013 ON wUserFld
go
DROP INDEX i003015 ON wUserFld
go


/* TABLE zChkTran */
DROP INDEX izChkTranP ON zChkTran
go
DROP INDEX izChkTran ON zChkTran
go
DROP INDEX izChkTranU ON zChkTran
go


/* TABLE zChkUsed */
DROP INDEX izChkUsedT ON zChkUsed
go
DROP INDEX izChkUsedK ON zChkUsed
go


/* TABLE zConnect */
DROP INDEX izConnectP ON zConnect
go


/* TABLE zControl */
DROP INDEX izControlP ON zControl
go


